Bug 1415543 (CVE-2017-2594) - CVE-2017-2594 hawtio: information Disclosure flaws due to unsafe path traversal
Summary: CVE-2017-2594 hawtio: information Disclosure flaws due to unsafe path traversal
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-2594
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1414648
TreeView+ depends on / blocked
 
Reported: 2017-01-23 02:11 UTC by Hooman Broujerdi
Modified: 2019-09-29 14:04 UTC (History)
9 users (show)

Fixed In Version: hawtio 2.0-beta-1, hawtio 2.0-beta-2 hawtio 2.0-M1, hawtio 2.0-M2, hawtio 2.0-M3, hawtio 1.5
Doc Type: If docs needed, set a value
Doc Text:
It was found that a path traversal vulnerability in hawtio leads to a NullPointerException with a full stacktrace. An attacker could use this flaw to gather undisclosed information from within hawtio's root.
Clone Of:
Environment:
Last Closed: 2019-08-06 07:18:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1832 normal SHIPPED_LIVE Important: Red Hat JBoss Fuse/A-MQ 6.3 R4 security and bug fix update 2017-08-15 05:47:49 UTC

Description Hooman Broujerdi 2017-01-23 02:11:47 UTC
It was found that a path traversal vulnerability in hawtio leads to a NullPointerException with a full stacktrace. An attacker can use this flaw to gather undisclosed information from withinhawtio's root.

Comment 1 Hooman Broujerdi 2017-01-23 02:12:03 UTC
Acknowledgments:

Name: Hooman Broujerdi (Red Hat)

Comment 3 errata-xmlrpc 2017-08-10 23:03:34 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Fuse

Via RHSA-2017:1832 https://access.redhat.com/errata/RHSA-2017:1832

Comment 4 Joshua Padman 2019-08-06 04:25:44 UTC
This vulnerability is out of security support scope for the following products:
 * Red Hat JBoss Fuse 6
 * Red Hat JBoss A-MQ 6

Please refer to https://access.redhat.com/support/policy/updates/jboss_notes for more details.

Comment 5 Product Security DevOps Team 2019-08-06 07:18:27 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2017-2594


Note You need to log in before you can comment on or make changes to this bug.